SETTERM(1)

NAMN
setterm - ställa in terminalattribut

SYNOPSIS

setterm [flaggor]

BESKRIVNING

setterm skriver till standardutdata en teckensträng som aktiverar de angivna terminalfunktionerna. Om möjligt konsulteras terminfo för att hitta den sträng som ska användas. Vissa flaggor (markerade med "endast virtuella konsoler" nedan) motsvarar inte någon terminfo(5)-funktion. I dessa fall, om terminaltypen är "con" eller "linux", skrivs den sträng ut som anropar den angivna funktionen på PC Minix virtuella konsol. Flaggor som inte implementeras av terminalen ignoreras.

FLAGGOR

För booleska flaggor (on eller off) är standardvärdet on.

Nedan kan en 8-färg vara svart, röd, grön, gul, blå, magenta, cyan eller vit.

En 16-färg kan vara en 8-färg, eller grå, eller ljus följt av röd, grön, gul, blå, magenta, cyan, eller vit.

De olika färgflaggorna kan ställas in oberoende av varandra, åtminstone på virtuella konsoler, även om resultatet av att ställa in flera lägen (t.ex. --underline och --half-bright) är maskinvaruberoende.

De valfria argumenten rekommenderas med '=' (likhetstecken) och inte med mellanslag mellan flaggan och argumentet. Till exempel --option=argument. kan setterm även tolka nästa argument som inte är en flagga som ett valfritt argument.

--appcursorkeys on|off
    Aktiverar eller inaktiverar tillämpningsläget för markörknapparna. När läget är på skickas ESC O A, ESC O B osv. för markörknapparna i stället för ESC [ A, ESC [ B osv. Se avsnittet vi and Cursor-Keys i Text-Terminal-HOWTO för information om hur detta kan orsaka problem för vi-användare. Endast virtuella konsoler.

--append console_nummer
    Som --dump, men lägger till snapshot-filen i stället för att skriva över den. Fungerar bara om inga --dump-flaggor har angetts.

--background 8-color|default
    Ställer in bakgrundsfärgen för texten.

--blank[=0-60|force|poke]
    Ställer in intervallet för inaktivitet, i minuter, efter vilket skärmen automatiskt kommer att tömmas (med APM om tillgängligt). Utan ett argument får den blankstatus (returnerar vilken vt som blankades, eller noll för en oblankerad vt). Endast virtuella konsoler.

    Argumentet force gör att skärmen förblir tom även om en tangent trycks in.

    Argumentet poke avbländar skärmen.

--bfreq[=nummer]
    Ställer in klockfrekvensen i Hertz. Utan argument är standardvärdet 0. Endast virtuella konsoler.

--blength[=0-2000]
    Ställer in klockans varaktighet i millisekunder. Utan ett argument är standardvärdet 0. Endast virtuella konsoler.

--blink on|off
    Slår på eller av blinkningsläget. Förutom på en virtuell konsol stänger --blink off av alla attribut (fetstil, halv ljusstyrka, blink, omvänd).

--bold on|off
    Slår på eller av läget bold (extra ljus). Förutom på en virtuell konsol stänger --bold off av alla attribut (fet, halv ljusstyrka, blinkning, omvänd).

--clear[=all|rest]
    Utan argument eller med argumentet all rensas hela skärmen och markören ställs in på startpositionen, precis som clear(1) gör. Med argumentet rest rensas skärmen från markörens aktuella position till slutet.

--clrtabs[=tab1 tab2 tab3 ...]
    Rensar tabbstopp från de angivna horisontella markörpositionerna, i intervallet 1-160. Utan argument rensas alla tabbstopp. Endast virtuella konsoler.

--cursor on|off
    Slår på eller av terminalens markör.

--default
    Ställer in terminalens renderingsflaggor till standardvärdena.

--dump[=console_nummer]
    Skriver en ögonblicksbild av den virtuella konsolen med det angivna numret till den fil som anges med flaggan --file och skriver över dess innehåll; standard är screen.dump. Utan argument dumpas den aktuella virtuella konsolen. Detta åsidosätter --append.

--file filename
    Anger filnamnet för ögonblicksbilden för alla flaggor som --dump eller --append på samma kommandorad. Om den här flaggan inte finns är standardvärdet screen.dump i den aktuella katalogen. Ett sökvägsnamn som överskrider systemets maxgräns kommer att trunkeras, se PATH_MAX från linux/limits.h för värdet.

--foreground 8-color|default
    Ställer in förgrundsfärgen för texten.

--half-bright on|off
    Sätter på eller stänger av dim-läget (halv ljusstyrka). Förutom på en virtuell konsol stänger --half-bright off av alla attribut (fetstil, halvljus, blinkning, omvänd).

--hbcolor 16-color
    Ställer in färgen för halvljusa tecken.

--initialize
    Visar terminalens initialiseringssträng, som vanligtvis ställer in terminalens renderingsflaggor och andra attribut till standardvärdena.

--inversescreen on|off
    Byter förgrunds- och bakgrundsfärg för hela skärmen.

--linewrap on|off
    Gör att terminalen fortsätter på en ny linje när en linje är full.

--msg on|off
    Aktiverar eller inaktiverar sändning av kärnans printk()-meddelanden till konsolen. Endast virtuella konsoler.

--msglevel 0-8
    Sets the console logging level for kernel printk(9) messages. All messages strictly more important than this will be printed, so a logging level of 0 has the same effect as --msg on and a logging level of 8 will print all kernel messages. klogd(8) may be a more convenient interface to the logging of kernel messages.

    Endast virtuella konsoler.

--powerdown[=0-60]
    Ställer in VESA:s avstängningsintervall i minuter. Utan ett argument är standardvärdet 0 (inaktivera strömavbrott). Om konsolen är tom eller om bildskärmen är i suspenderat läge kommer bildskärmen att gå in i suspenderat vsync-läge respektive strömavstängningsläge efter att den här tidsperioden har löpt ut.

--powersave läge
    Giltiga värden för läge är:

    vsync|on
        Sätter bildskärmen i VESA vsync suspend-läge.

    hsync
        Sätter bildskärmen i VESA hsync suspend-läge.

    avstängning
        Sätter monitorn i VESA-läge för strömavbrott.

    av
        Slår av monitorns energisparfunktioner.

--regtabs[=1-160]
    Rensar alla tabulatorstopp och anger sedan ett vanligt tabulatorstoppsmönster med en tabulator varje angivet antal positioner. Utan argument är standardvärdet 8. Endast virtuella konsoler.

--repeat on|off
    Slår på eller av tangentbordsrepetition. Endast virtuella konsoler.

--reset
    Visar terminalens återställningssträng, som vanligtvis återställer terminalen till dess strömläge.

--resize
    Återställ terminalstorleken genom att bedöma maximal rad och kolumn. Detta är användbart när den faktiska geometrin och kärnans terminaldrivrutin inte är synkroniserade. Det mest anmärkningsvärda användningsfallet är med seriella konsoler, som inte använder ioctl(2) utan bara byte-strömmar och pauser.

--reverse on|off
    Slår på eller av omvänt videoläge. Förutom på en virtuell konsol stänger --reverse off av alla attribut (fetstil, halv ljusstyrka, blinkning, omvänd).

--store
    Lagrar terminalens aktuella renderingsflaggor (förgrunds- och bakgrundsfärger) som de värden som ska användas vid återställning till standard. Endast virtuella konsoler.

--tabs[=tab1 tab2 tab3 ...]
    Ställer in tabbstopp vid de angivna horisontella markörpositionerna, i intervallet 1-160. Utan argument visas de aktuella inställningarna för tabbstopp.

--term terminal_namn
    Åsidosätter miljövariabeln TERM.

--ulcolor 16-color
    Ställer in färgen för understrukna tecken. Endast virtuella konsoler.

--underline on|off
    Aktiverar eller inaktiverar understrykningsläget.

--help
    Visa hjälptext och avsluta.

--version
    Visa version och avsluta.

VARNING

Användning av setterm i kombination med omdirigering av stdout kan ge oväntade resultat, eftersom vissa flaggor fungerar på stdin. För att undvika problem bör du alltid omdirigera både stdin och stdout till samma enhet.

KOMPATIBILITET

Sedan version 2.25 har setterm stöd för långa flaggor med två bindestreck, t.ex. --help, vid sidan av de historiska långa alternativen med ett enda bindestreck, t.ex. -help. I skript är det bättre att använda det bakåtkompatibla enkla bindestrecket i stället för det dubbla bindestrecket. För närvarande finns det inga planer eller goda skäl att upphöra med kompatibiliteten med enkelt bindestreck.

KÄNDA PROBLEM

Skillnader mellan Minix- och Linux-versionerna är inte dokumenterade.

SE ÄVEN

stty(1), tput(1), tty(4), terminfo(5)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot setterm ingår i paketet util-linux som kan hämtas från